### Method

# Ide Notification add_button

#### Declaration

    void
    ide_notification_add_button (
      IdeNotification* self,
      const gchar* label,
      GIcon* icon,
      const gchar* detailed_action
    )

#### Description

Adds a new button that may be displayed with the notification.

See also: ide_notification_add_button_with_target_value().

Available since: | 3.32

#### Parameters

`label` | `const gchar*`
| The label for the button.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`icon` | `GIcon`
| An optional icon for the button.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`detailed_action` | `const gchar*`
| A detailed action name (See `GAction`)
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.